#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QGraphicsScene>
#include <QGraphicsRectItem>
#include <QGraphicsEllipseItem>


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QGraphicsScene * scene = new QGraphicsScene ();
    ui->graphicsView->setScene (scene);
    scene->setSceneRect (0, 0, 1024, 800);

    QGraphicsRectItem * r = new QGraphicsRectItem;
    r->setRect (50, 50, 300, 200);
    r->setToolTip ("obdelnik");
    r->setPen (QColor ("blue"));
    r->setBrush (QColor ("yellow"));
    r->setFlag (QGraphicsItem::ItemIsMovable);
    r->setFlag (QGraphicsItem::ItemIsSelectable);
    scene->addItem (r);

    QGraphicsEllipseItem * e = new QGraphicsEllipseItem;
    e->setRect (400, 100, 300, 200);
    e->setToolTip ("elipsa");
    e->setPen (QColor ("red"));
    e->setBrush (QColor ("cornflowerblue"));
    e->setFlag (QGraphicsItem::ItemIsMovable);
    e->setFlag (QGraphicsItem::ItemIsSelectable);
    scene->addItem (e);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::put (QString s)
{
    ui->plainTextEdit->appendPlainText (s);
}

// #include <QAbstractGraphicsShapeItem>

void MainWindow::on_actionRun_triggered()
{
     QList<QGraphicsItem *> list = ui->graphicsView->scene()->selectedItems ();
     put ("list");
     foreach (QGraphicsItem * item, list)
     {
         put ("item " + item->toolTip() );
         item->setOpacity (0.5);

         QAbstractGraphicsShapeItem * s =
                 dynamic_cast < QAbstractGraphicsShapeItem * > (item);
         if (s != NULL)
             s->setBrush(QColor ("greenyellow"));

         QGraphicsRectItem * r = dynamic_cast < QGraphicsRectItem * > (item);
         if (r != NULL)
             r->setRect (r->x(), r->y(),
                         r->rect().width()-10, r->rect().height()-10);
     }
}
